msgpack_unpacker Struct Reference
MessagePack C » Streaming deserializer

`#include <unpack.h>`

## Public Attributes

char * | buffer
size_t | used
size_t | free
size_t | off
size_t | parsed
msgpack_zone * | z
size_t | initial_buffer_size
void * | ctx

## Member Data Documentation

## buffer

char* msgpack_unpacker::buffer

## ctx

void* msgpack_unpacker::ctx

## free

size_t msgpack_unpacker::free

## initial_buffer_size

size_t msgpack_unpacker::initial_buffer_size

## off

size_t msgpack_unpacker::off

## parsed

size_t msgpack_unpacker::parsed

## used

size_t msgpack_unpacker::used

## z

msgpack_zone* msgpack_unpacker::z

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/unpack.h